---

- name: clone fancyindex
  git:
    repo: "https://github.com/aperezdc/ngx-fancyindex.git"
    dest: "/tmp/ngx-fancyindex"
    accept_hostkey: yes
    update: no
    force: no
    recursive: yes

- name: configure nginx with fancyindex
  shell: |
    ./configure --prefix=/usr --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --pid-path=/run/nginx.pid --conf-path=/etc/nginx/nginx.conf --modules-path=/usr/share/nginx/modules --add-module=../ngx-fancyindex --with-http_addition_module --with-http_mp4_module --without-http_autoindex_module --without-http_gzip_module
  args:
    chdir: /tmp/nginx-1.22.1

- name: sync fancyindex theme
  ansible.posix.synchronize:
    src: usr/share/nginx/html/Nginx-Fancyindex-Theme-dark
    dest: "{{ webroot }}/"
    recursive: yes
    mode: push
    delete: no
    checksum: yes
    perms: no
    rsync_opts:
      - "--update"
      - "--omit-dir-times"
  notify: reload nginx - without service
